PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_copytupleintoslot

## Name

SPI_copytupleintoslot -- Makes copy of tuple and descriptor in upper Executor context

## Synopsis

    SPI_copytupleintoslot(tuple, tupdesc)

### Inputs

HeapTuple `tuple`

  Input tuple to be copied

TupleDesc `tupdesc`

  Input tuple descriptor to be copied

### Outputs

TupleTableSlot *

  Tuple slot containing copied tuple and descriptor

  non-NULL if `tuple` and `tupdesc` are not NULL and the copy was successful
  NULL only if `tuple` or `tupdesc` is NULL

## Description

`SPI_copytupleintoslot` makes a copy of tuple in upper Executor context, returning it in the form of a filled-in TupleTableSlot.

## Usage

TBD

Prev | Home | Next
SPI_copytupledesc | Up | SPI_modifytuple